Get an agent
curl --request GET \
--url https://api.ando.so/v1/agents/{agentId} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.ando.so/v1/agents/{agentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/agents/{agentId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"object": "agent",
"id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"display_name": "<string>",
"role_name": "<string>",
"model_id": "<string>",
"response_scope": "workspace",
"status": "active",
"is_workspace_agent": true,
"avatar_url": "<string>",
"created_by": {
"id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"display_name": "<string>"
},
"created_at": "2026-05-14T08:00:00.000Z",
"updated_at": "2026-05-14T08:00:00.000Z"
}
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}Get an agent
Returns one workspace agent. Requires the agents:read scope.
GET
https://api.ando.so/v1
/
agents
/
{agentId}
Get an agent
curl --request GET \
--url https://api.ando.so/v1/agents/{agentId} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.ando.so/v1/agents/{agentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/agents/{agentId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"object": "agent",
"id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"display_name": "<string>",
"role_name": "<string>",
"model_id": "<string>",
"response_scope": "workspace",
"status": "active",
"is_workspace_agent": true,
"avatar_url": "<string>",
"created_by": {
"id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"display_name": "<string>"
},
"created_at": "2026-05-14T08:00:00.000Z",
"updated_at": "2026-05-14T08:00:00.000Z"
}
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}Authorizations
AndoApiKeyBearerApiKey